jQuery(function($){

	$("#feedbackUsuariosMovil").rup_feedback({
		type : "ok",
		block : false,
		closeLink : true
	});
	
	$("#GRID_usuariosMovil").rup_grid({
		
		loadOnStartUp:false,
		hasMaint: true,
		width: 865,
		url: "../usuariosRolesMovil/gridUsuariosMovil",
		pagerName: "pager",
		rowNum: "30",
		sortorder: "asc",
		sortname: "idUsuario",
		ondblClickRow : fncDetalleUsuarioMovil,
		colNames: [
		    "",
		    $.rup.i18n.app.usuariosMovil.login,
		    $.rup.i18n.app.usuariosMovil.login,
			$.rup.i18n.app.usuariosMovil.rol,
			$.rup.i18n.app.usuariosMovil.imei,
			$.rup.i18n.app.usuariosMovil.tecnico,
		    $.rup.i18n.app.usuariosMovil.fechasinc,
		    $.rup.i18n.app.usuariosMovil.idioma,
		    $.rup.i18n.app.usuariosMovil.email,
		    $.rup.i18n.app.usuariosMovil.versionapp,
		    $.rup.i18n.app.usuariosMovil.devicename,
		    $.rup.i18n.app.usuariosMovil.deviceplataforma
		],
		colModel: [
		           { name: "imei2",
		        	   label: "imei2",
		        	   index: "imei2",
		        	   width: "40",
		        	   align : "center",
		        	   editable: true,
		        	   formatter :
		        		   function(cellval, el, opts) 
		        		   {
		        		   		var html = '';
		        		   		var src = '';
		        		   		if(opts.imei != null && opts.imei != '')
		        		   		{
		        		   			src=$.rup.APP_STATICS + "/images/mobile.png";
		        		   			html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idDesloguear-'+el.rowId+'"  title="'+$.rup.i18n.app.usuarioMovil.desloguear+'" onclick="desloguearUsuarioMovil(\''+el.rowId+'\');">';
		        		   		}
		        		   		return html;
		        		   }
		           },
		    
		    {   name: "idUsuarioMovil",
				label: "idUsuarioMovil",
				index: "idUsuarioMovil",
				editable: false,
				hidden:true
			},
			{ name: "login",
				label: "login",
				index: "login",
				width: "60",
				editable: false,
				edittype: "text"
			},
			{ name: "rol",
				label: "rol",
				index: "rol",
				width: "75",
				editable: true,
				edittype: "text"
			},
			{ name: "imei",
				label: "imei",
				index: "imei",
				width: "180",
				editable: false,
				edittype: "text",
				align: 'center'
			},
			{ name: "idTecnico",
				label: "idTecnico",
				index: "idTecnico",
				width: "75",
				editable: false,
				edittype: "text",
				align: 'center'
			},
			{ name: "fechaUltimaSinc",
				label: "fechaUltimaSinc",
				index: "fechaUltimaSinc",
				width: "150",
				editable: false,
				edittype: "text",
				align: 'center'
			},
			{ name: "idIdioma",
				label: "idIdioma",
				index: "idIdioma",
				width: "50",
				editable: false,
				edittype: "text",
				align: 'center'
			},
			{ name: "email",
				label: "email",
				index: "email",
				width: "100",
				editable: false,
				edittype: "text",
				align: 'center'
			},
			{ name: "versionApp",
				label: "versionApp",
				index: "versionApp",
				width: "50",
				editable: false,
				edittype: "text",
				align: 'center'
			},
			{ name: "deviceName",
				label: "deviceName",
				index: "deviceName",
				width: "50",
				editable: false,
				edittype: "text",
				align: 'center'
			},
			{ name: "devicePlatform",
				label: "devicePlatform",
				index: "devicePlatform",
				width: "50",
				editable: false,
				edittype: "text",
				align: 'center'
			}
        ]
		
	});
	

	$("#usuariosMovil").rup_maint({
		jQueryGrid: "GRID_usuariosMovil",
		primaryKey: "idUsuarioMovil",
		modelObject: "UsuariosMovil",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		searchForm: "FIELDSET_SEARCH_usuariosMovil",
		showMessages: true,
		toolbar: {
			createDefaultToolButtons:false,
			newButtons: [{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.nuevo,
						css: "rup-maint_new"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: nuevoUsuarioMovil
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.ver,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleUsuarioMovil
						}
					]
			}
	});


	
	$.rup_date({
		from: "fechaUltimaSincD_search",
		to: "fechaUltimaSincH_search",
		independientes: true
		});
	
	// Limpiar no deschequea automaticamente los chekbox.  
	$("#clean_search_usuariosMovil").unbind("click");
	$("#clean_search_usuariosMovil").bind("click",limpiarFormBusqueda);
	
	$("#usuariosMovil").rup_maint("search");
	
});

function limpiarFormBusqueda() {
	$("#usuariosMovil").rup_maint("cleanSearchForm");
	$("#usuariosMovil").rup_maint("search");
}
function nuevoUsuarioMovil() {
	window.location = "/aa20bMaqPartesWar/usuariosRolesMovil/nuevoUsuarioMovil";	
}
	

function fncDetalleUsuarioMovil() {
	var id= $("#GRID_usuariosMovil").rup_grid('getGridParam','selrow');
	 //alert(id);
	 var ret = $("#GRID_usuariosMovil").rup_grid('getRowData',id); 
	 var idUsuario =ret.idUsuarioMovil;
	 
	    // enviamos el form alternativo con el idUsuario para la busqueda
	 buscaUsuarioMovilForm.idUsuarioMovilBusc.value = idUsuario;
	 buscaUsuarioMovilForm.submit();
	return false; 		
}


function desloguearUsuarioMovil(IDseleccionado){
	
	
	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"usuarioMovil.desloguear"),			
		message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaDesloguear"),
		OKFunction: function(){
			$("#GRID_usuariosMovil").setSelection(IDseleccionado,true);

			var filaSeleccionada=$("#GRID_usuariosMovil").jqGrid().getGridParam('selrow')-1;
			var valorFilaSeleccionada=$("#GRID_usuariosMovil").jqGrid().getRowData($("#GRID_usuariosMovil").jqGrid().getGridParam('selrow')).login;
			

			$.ajax({
				  type: "POST",				  
				  url: "../usuariosRolesMovil/desloguearUsuarioMovil",
				  feedback:$("#feedbackUsuariosMovil"),
				  beforeSend: function(data){
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				  data:  { loginUsuario:valorFilaSeleccionada },
				  success: function(data){					 
					  $("#dialogoGuardar").rup_dialog("close");
					  $("#dialogoGuardar").rup_dialog("destroy");
					  $("#feedbackUsuariosMovil").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
					  $("#GRID_usuariosMovil").rup_grid("reloadGrid");
				  },
				  error: function() {
					  $("#dialogoGuardar").rup_dialog("close");
					  $("#dialogoGuardar").rup_dialog("destroy");
					 $("#feedbackUsuariosMovil").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
				  },
				  dataType: "json"
				});
		},
		CANCELFunction : function(){
		}
		});
	
	
	
	
}